=== debian/changelog ===
deepin-ai-daemon (1.0.3-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 11 Sep 2023 17:09:45 +0800

deepin-ai-daemon (1.0) unstable; urgency=medium

  * Pre-release for deepin-ai-daemon 1.0

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Tue, 8 Aug 2023 16:40:00 +0800
