=== debian/changelog ===
deepin-ai-daemon (1.0.4-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 18 Sep 2023 11:27:48 +0800
