=== debian/control ===
--- 
+++ 
@@ -16,7 +16,11 @@
  liblucene++-dev,
  libnl-genl-3-dev,
  libicu-dev,
- libboost-filesystem-dev
+ libboost-filesystem-dev,
+ libblas-dev,
+ liblapack-dev,
+ libdocparser-dev,
+ libuchardet-dev
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org/
 
@@ -25,8 +29,7 @@
 Depends: 
  ${shlibs:Depends},
  ${misc:Depends},
- deepin-anything-server,
- deepin-ai-models
+ deepin-anything-server
 Recommends:
  libimageeditor (>=1.0.19)
 Description: AI search application server for dde-grand-search
